Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.cms.ui.admin
Class CMSAdminPortlet

    java.lang.Object
      org.jboss.portlet.JBossPortlet
          org.jboss.portal.core.cms.ui.admin.CMSAdminPortlet

All Implemented Interfaces:
  Portlet

    public class CMSAdminPortlet

extends JBossPortlet

Author:
  Roy Russo, Thomas Heute, Sohil Shah

Constructor Summary
`CMSAdminPortlet()`

Method Summary
`java.lang.String` | `buildURL(JBossRenderRequest req, java.lang.String path)` Rewrites urls.
`protected void` | `doView(JBossRenderRequest rReq, JBossRenderResponse rRes)` Throw a `PortletException`.
`ApprovePublish` | `getApprovePublish()`
`void` | `init()`
`void` | `init(PortletConfig config)` Called by the portlet container to indicate to a portlet that the portlet is being placed into service.
`void` | `processAction(JBossActionRequest aReq, JBossActionResponse aRes)` Calls `doDispatch(JBossActionRequest,JBossActionResponse)`.
`void` | `setApprovePublish(ApprovePublish approvePublish)`

Methods inherited from class org.jboss.portlet.JBossPortlet
`destroy, doAdmin, doDispatch, doEdit, doHelp, getDefaultOperation, getInitParameter, getInitParameterNames, getOperationName, getPortletConfig, getPortletContext, getPortletName, getResourceBundle, getTitle, processAction, processAdmin, processDispatch, processEdit, processHelp, processView, render, render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSAdminPortlet

    public CMSAdminPortlet()

Method Detail

### init

    public void init()
              throws PortletException

  Overrides:
    `init` in class `JBossPortlet`
  Throws:
    `PortletException`

### init

    public void init(PortletConfig config)
              throws PortletException

  Description copied from interface: `Portlet`
  Called by the portlet container to indicate to a portlet that the portlet is being placed into service.

  The portlet container calls the `init` method exactly once after instantiating the portlet. The `init` method must complete successfully before the portlet can receive any requests.

  The portlet container cannot place the portlet into service if the `init` method

  1. Throws a `PortletException`
  2. Does not return within a time period defined by the portlet container.

  Specified by:
    `init` in interface `Portlet`
  Overrides:
    `init` in class `JBossPortlet`
  Parameters:
    `config` - a `PortletConfig` object containing the portlet's configuration and initialization parameters
  Throws:
    `PortletException` - if an exception has occurred that interferes with the portlet's normal operation.
    `UnavailableException` - if the portlet cannot perform the initialization at this time.

### doView

    protected void doView(JBossRenderRequest rReq,
                          JBossRenderResponse rRes)
                   throws PortletException,
                          java.io.IOException,
                          UnavailableException

  Description copied from class: `JBossPortlet`
  Throw a `PortletException`.

  Overrides:
    `doView` in class `JBossPortlet`
  Throws:
    `PortletException`
    `java.io.IOException`
    `UnavailableException`

### processAction

    public void processAction(JBossActionRequest aReq,
                              JBossActionResponse aRes)
                       throws PortletException

  Description copied from class: `JBossPortlet`
  Calls `doDispatch(JBossActionRequest,JBossActionResponse)`.

  Overrides:
    `processAction` in class `JBossPortlet`
  Throws:
    `PortletException`

### buildURL

    public java.lang.String buildURL(JBossRenderRequest req,
                                     java.lang.String path)

  Rewrites urls. Typically, this is used for image src calls from the html, so they route thru the CMSObjectCommandMapper and invoke the StreamObjectCommand. TODO : need to make this not a hack

### getApprovePublish

    public ApprovePublish getApprovePublish()

### setApprovePublish

    public void setApprovePublish(ApprovePublish approvePublish)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD